Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.dom
Class Javadoc

    java.lang.Object
      org.eclipse.jdt.core.dom.ASTNode
          org.eclipse.jdt.core.dom.Comment
              org.eclipse.jdt.core.dom.Javadoc

public class Javadoc
extends Comment

AST node for a Javadoc-style doc comment.

     Javadoc:
       /**  { TagElement } */

Since:
  2.0

Field Summary
`static SimplePropertyDescriptor` | `COMMENT_PROPERTY` The "comment" structural property of this node type (JLS2 API only).
`static ChildListPropertyDescriptor` | `TAGS_PROPERTY` The "tags" structural property of this node type.

Fields inherited from class org.eclipse.jdt.core.dom.ASTNode
`ANNOTATION_TYPE_DECLARATION, ANNOTATION_TYPE_MEMBER_DECLARATION, ANONYMOUS_CLASS_DECLARATION, ARRAY_ACCESS, ARRAY_CREATION, ARRAY_INITIALIZER, ARRAY_TYPE, ASSERT_STATEMENT, ASSIGNMENT, BLOCK, BLOCK_COMMENT, BOOLEAN_LITERAL, BREAK_STATEMENT, CAST_EXPRESSION, CATCH_CLAUSE, CHARACTER_LITERAL, CLASS_INSTANCE_CREATION, COMPILATION_UNIT, CONDITIONAL_EXPRESSION, CONSTRUCTOR_INVOCATION, CONTINUE_STATEMENT, DO_STATEMENT, EMPTY_STATEMENT, ENHANCED_FOR_STATEMENT, ENUM_CONSTANT_DECLARATION, ENUM_DECLARATION, EXPRESSION_STATEMENT, FIELD_ACCESS, FIELD_DECLARATION, FOR_STATEMENT, IF_STATEMENT, IMPORT_DECLARATION, INFIX_EXPRESSION, INITIALIZER, INSTANCEOF_EXPRESSION, JAVADOC, LABELED_STATEMENT, LINE_COMMENT, MALFORMED, MARKER_ANNOTATION, MEMBER_REF, MEMBER_VALUE_PAIR, METHOD_DECLARATION, METHOD_INVOCATION, METHOD_REF, METHOD_REF_PARAMETER, MODIFIER, NORMAL_ANNOTATION, NULL_LITERAL, NUMBER_LITERAL, ORIGINAL, PACKAGE_DECLARATION, PARAMETERIZED_TYPE, PARENTHESIZED_EXPRESSION, POSTFIX_EXPRESSION, PREFIX_EXPRESSION, PRIMITIVE_TYPE, PROTECT, QUALIFIED_NAME, QUALIFIED_TYPE, RETURN_STATEMENT, SIMPLE_NAME, SIMPLE_TYPE, SINGLE_MEMBER_ANNOTATION, SINGLE_VARIABLE_DECLARATION, STRING_LITERAL, SUPER_CONSTRUCTOR_INVOCATION, SUPER_FIELD_ACCESS, SUPER_METHOD_INVOCATION, SWITCH_CASE, SWITCH_STATEMENT, SYNCHRONIZED_STATEMENT, TAG_ELEMENT, TEXT_ELEMENT, THIS_EXPRESSION, THROW_STATEMENT, TRY_STATEMENT, TYPE_DECLARATION, TYPE_DECLARATION_STATEMENT, TYPE_LITERAL, TYPE_PARAMETER, VARIABLE_DECLARATION_EXPRESSION, VARIABLE_DECLARATION_FRAGMENT, VARIABLE_DECLARATION_STATEMENT, WHILE_STATEMENT, WILDCARD_TYPE`

Method Summary
`String` | `getComment()` Deprecated. The comment string was replaced in the 3.0 release by a representation of the structure of the doc comment. See `tags`.
`static List` | `propertyDescriptors(int apiLevel)` Returns a list of structural property descriptors for this node type.
`void` | `setComment(String docComment)` Deprecated. The comment string was replaced in the 3.0 release by a representation of the structure of the doc comment. See `tags`.
`List` | `tags()` Returns the live list of tag elements that make up this doc comment.

Methods inherited from class org.eclipse.jdt.core.dom.Comment
`getAlternateRoot, isBlockComment, isDocComment, isLineComment, setAlternateRoot`

Methods inherited from class org.eclipse.jdt.core.dom.ASTNode
`accept, copySubtree, copySubtrees, delete, equals, getAST, getFlags, getLength, getLocationInParent, getNodeType, getParent, getProperty, getRoot, getStartPosition, getStructuralProperty, nodeClassForType, properties, setFlags, setProperty, setSourceRange, setStructuralProperty, structuralPropertiesForType, subtreeBytes, subtreeMatch, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMMENT_PROPERTY

    public static final SimplePropertyDescriptor COMMENT_PROPERTY

  The "comment" structural property of this node type (JLS2 API only).

  Since:
    3.0

### TAGS_PROPERTY

    public static final ChildListPropertyDescriptor TAGS_PROPERTY

  The "tags" structural property of this node type.

  Since:
    3.0

Method Detail

### propertyDescriptors

    public static List propertyDescriptors(int apiLevel)

  Returns a list of structural property descriptors for this node type. Clients must not modify the result.

  Parameters:
    `apiLevel` - the API level; one of the `AST.JLS*` constants
  Returns:
    a list of property descriptors (element type: `StructuralPropertyDescriptor`)
  Since:
    3.0

### getComment

    public String getComment()

  Deprecated. The comment string was replaced in the 3.0 release by a representation of the structure of the doc comment. See `tags`.

  Returns the doc comment string, including the starting and ending comment delimiters, and any embedded line breaks.

  Returns:
    the doc comment string
  Throws:
    `UnsupportedOperationException` - if this operation is used in an AST later than JLS2

### setComment

    public void setComment(String docComment)

  Deprecated. The comment string was replaced in the 3.0 release by a representation of the structure of the doc comment. See `tags`.

  Sets or clears the doc comment string. The documentation string must include the starting and ending comment delimiters, and any embedded line breaks.

  Parameters:
    `docComment` - the doc comment string
  Throws:
    `IllegalArgumentException` - if the Java comment string is invalid
    `UnsupportedOperationException` - if this operation is used in an AST later than JLS2

### tags

    public List tags()

  Returns the live list of tag elements that make up this doc comment.

  The tag elements cover everything except the starting and ending comment delimiters, and generally omit leading whitespace (including a leading "*") and embedded line breaks. The first tag element of a typical doc comment represents all the material before the first explicit doc tag; this first tag element has a `null` tag name and generally contains 1 or more `TextElement`s, and possibly interspersed with tag elements for nested tags like "`String`". Subsequent tag elements represent successive top-level doc tag (e.g., "@param", "@return", "@see").

  Adding and removing nodes from this list affects this node dynamically.

  Returns:
    the live list of tag elements in this doc comment (element type: `TagElement`)
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.